aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--jjb/ci-AGL-verify/ci-platform-jjb.yaml4
-rw-r--r--jjb/ci-apps-verify/ci-apps-jjb.yaml41
-rw-r--r--jjb/common/include-apps-build-app.sh8
-rw-r--r--jjb/common/include-apps-fetch-install-sdk.sh20
-rw-r--r--jjb/common/include-apps-header.sh4
-rw-r--r--jjb/common/include-apps-rsync-download-changeid.sh12
-rw-r--r--packer/templates/basebuild-local-kvm.json6
7 files changed, 78 insertions, 17 deletions
diff --git a/jjb/ci-AGL-verify/ci-platform-jjb.yaml b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
index 5d7e02a4..3e7ce447 100644
--- a/jjb/ci-AGL-verify/ci-platform-jjb.yaml
+++ b/jjb/ci-AGL-verify/ci-platform-jjb.yaml
@@ -502,6 +502,10 @@
publishers:
- naginator:
max-failed-builds: 2
+ rerun-unstable-builds: true
+ progressive-delay-increment: 2
+ progressive-delay-maximum: 6
+ regular-expression: "/.*Timed out waiting for device dev-tty.*/"
################################################################################
################################################################################
diff --git a/jjb/ci-apps-verify/ci-apps-jjb.yaml b/jjb/ci-apps-verify/ci-apps-jjb.yaml
index 2fbebf3a..9a0bcbf4 100644
--- a/jjb/ci-apps-verify/ci-apps-jjb.yaml
+++ b/jjb/ci-apps-verify/ci-apps-jjb.yaml
@@ -1,6 +1,9 @@
---
- project:
name: ci-apps-AGL
+ aglbranch:
+ - master
+ - dab
architecture:
- aarch64
- x86-64
@@ -12,6 +15,7 @@
#= dra7xx-evm
project:
- agl-service-bluetooth
+ - agl-service-steering-wheel
- agl-service-wifi
- controls
- dashboard
@@ -28,7 +32,7 @@
- settings-wifi
jobs:
- ci-apps-{project}-verify
- - ci-apps-{project}-verify-CIB-{architecture}
+ - ci-apps-{project}-verify-{aglbranch}-CIB-{architecture}
- ci-apps-{project}-verify-CIB-finish-success
- ci-apps-{project}-verify-failure
- ci-apps-{project}-remove-artifacts
@@ -71,6 +75,10 @@
name: GERRIT_PATCHSET_NUMBER
default: "2"
description: "patchset # to build"
+ - string:
+ name: AGLBRANCH
+ default: '{aglbranch}'
+ description: "AGL release branch to use"
build-discarder:
days-to-keep: 30
artifact-days-to-keep: -1
@@ -101,15 +109,27 @@
name: CIB-{project}
condition: SUCCESSFUL
projects:
- - name: 'ci-apps-{project}-verify-CIB-arm'
+ - name: 'ci-apps-{project}-verify-master-CIB-arm'
+ current-parameters: true
+ #abort-all-job: true
+ kill-phase-on: FAILURE
+ - name: 'ci-apps-{project}-verify-master-CIB-aarch64'
+ current-parameters: true
+ #abort-all-job: true
+ kill-phase-on: FAILURE
+ - name: 'ci-apps-{project}-verify-master-CIB-x86-64'
current-parameters: true
#abort-all-job: true
kill-phase-on: FAILURE
- - name: 'ci-apps-{project}-verify-CIB-aarch64'
+ - name: 'ci-apps-{project}-verify-dab-CIB-arm'
current-parameters: true
#abort-all-job: true
kill-phase-on: FAILURE
- - name: 'ci-apps-{project}-verify-CIB-x86-64'
+ #- name: 'ci-apps-{project}-verify-dab-CIB-aarch64' # does not exist in dab
+ # current-parameters: true
+ # #abort-all-job: true
+ # kill-phase-on: FAILURE
+ - name: 'ci-apps-{project}-verify-dab-CIB-x86-64'
current-parameters: true
#abort-all-job: true
kill-phase-on: FAILURE
@@ -127,7 +147,7 @@
# ci-apps-{project}-verify-CIB-{architecture} = build job per arch
################################################################################
- job-template:
- name: 'ci-apps-{project}-verify-CIB-{architecture}'
+ name: 'ci-apps-{project}-verify-{aglbranch}-CIB-{architecture}'
project-type: freestyle
concurrent: true
node: agl-test-slave
@@ -156,6 +176,10 @@
name: TARGETARCH
default: '{architecture}'
description: "Machine to build"
+ - string:
+ name: AGLBRANCH
+ default: '{aglbranch}'
+ description: "AGL release branch to use"
build-discarder:
days-to-keep: 30
@@ -170,7 +194,7 @@
builders:
- shell:
- # including from ../common into ci-apps-{project}-verify-CIB-{architecture}
+ # including from ../common into ci-apps-{project}-verify-{aglbranch}-CIB-{architecture}
!include-raw-escape:
- ../common/include-apps-header.sh
- ../common/include-apps-fetch-install-sdk.sh
@@ -502,6 +526,11 @@
echo "#### CIBT +1 ####"
ssh -p 29418 agl-jobbuilder@gerrit.automotivelinux.org gerrit review ${{GERRIT_CHANGE_NUMBER}},${{GERRIT_PATCHSET_NUMBER}} --verified +1 --label ci-image-build=+1 --label ci-image-boot-test=+1 -n NONE --message='CI-Image-Boot-Test\ finished' || true
+
+
+
+
+
################################################################################
################################################################################
# -remove-artifacts = merge/abandon, remove artifacts and later trigger sstate
diff --git a/jjb/common/include-apps-build-app.sh b/jjb/common/include-apps-build-app.sh
index 694dcf7d..0febb1a1 100644
--- a/jjb/common/include-apps-build-app.sh
+++ b/jjb/common/include-apps-build-app.sh
@@ -46,7 +46,7 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
# clone git
rm -rf ${MYPROJECT}
- git clone --recursive https://${GERRIT_HOST}/gerrit/${GERRIT_PROJECT}.git
+ git clone --recurse-submodules --recursive https://${GERRIT_HOST}/gerrit/${GERRIT_PROJECT}.git
pushd ${MYPROJECT}
git log -1 --pretty=oneline
if test x"" != x"${TARGETREFSPEC}" ; then
@@ -73,6 +73,12 @@ if [[ ! x"yes" = x"$HANDLED" ]] && $(echo "$TARGETPROJECT" | grep -q "apps/"); t
conf.d/autobuild/agl/autobuild package DEST=$(pwd)/package/
export DONE=1
fi
+ if test x"0" = x"$DONE" -a -f CMakeLists.txt; then
+ cmake .
+ make
+ make package || true
+ export DONE=1
+ fi
if test x"0" = x"$DONE" -a -f Makefile ; then
make
make package
diff --git a/jjb/common/include-apps-fetch-install-sdk.sh b/jjb/common/include-apps-fetch-install-sdk.sh
index b099d9a5..0dfbb474 100644
--- a/jjb/common/include-apps-fetch-install-sdk.sh
+++ b/jjb/common/include-apps-fetch-install-sdk.sh
@@ -11,8 +11,23 @@ SDKHOSTDIR="~/agl-sdk"
## apps-fetch-install-sdk.sh
################################################################################
-# should probably switch to release ... or multiple (release/snapshot) fwiw
+# default to master
SDKBASEURL="https://download.automotivelinux.org/AGL/snapshots/master/latest/${TARGETSDKMACHINE}/deploy/sdk/"
+
+# should probably switch to release ... or multiple (release/snapshot) fwiw
+if test x"" = x"$AGLBRANCH"; then echo "AGLBRANCH not set, quitting" ; exit 1 ; fi
+
+if test x"master" = x"$AGLBRANCH" ; then
+ SDKBASEURL="https://download.automotivelinux.org/AGL/snapshots/master/latest/${TARGETSDKMACHINE}/deploy/sdk/"
+fi
+if test x"chinook" = x"$AGLBRANCH" ; then
+ SDKBASEURL="https://download.automotivelinux.org/AGL/release/chinook/latest/${TARGETSDKMACHINE}/deploy/sdk/"
+fi
+if test x"dab" = x"$AGLBRANCH" ; then
+ SDKBASEURL="https://download.automotivelinux.org/AGL/release/dab/latest/${TARGETSDKMACHINE}/deploy/sdk/"
+fi
+
+
export TARGETSDKNAME=$(curl -s "$SDKBASEURL" | grep -e "crosssdk.*\.sh<" | sed -e "s#.*<a href=\"##g" -e "s#\">poky-agl.*##g")
if test x"" = x"${TARGETSDKNAME}" ; then
@@ -31,7 +46,6 @@ chmod a+x ${TARGETSDKNAME}
if test x"" = x"$(eval ls ${SDKHOSTDIR}/environment-setup* | grep "agl-" | grep ${TARGETSDKARCH} 2>/dev/null)" ; then
bash ${TARGETSDKNAME} -d ${SDKHOSTDIR}/ -y
fi
-#set -x
# find out the env setup script
export TARGETSDKENVSCRIPT="$(eval ls ${SDKHOSTDIR}/environment-setup* | grep "agl-" | grep ${TARGETSDKARCH} 2>/dev/null)"
@@ -44,6 +58,4 @@ fi
echo "About to source ${TARGETSDKENVSCRIPT}"
source "${TARGETSDKENVSCRIPT}"
-#set | grep -i sysroots || true
-#set +x
diff --git a/jjb/common/include-apps-header.sh b/jjb/common/include-apps-header.sh
index eb57c926..da084eda 100644
--- a/jjb/common/include-apps-header.sh
+++ b/jjb/common/include-apps-header.sh
@@ -58,6 +58,9 @@ while getopts ":b:a:p:r:dvx" opt; do
r)
export TARGETREFSPEC="$OPTARG"
;;
+ t)
+ export AGLBRANCH="$OPTARG"
+ ;;
v)
VERBOSE=true
function vprint() {
@@ -79,6 +82,7 @@ while getopts ":b:a:p:r:dvx" opt; do
echo " -- aarch64"
echo " -p <project> - project to use (default=AGL/AGL-repo)"
echo " -r <refspec> - refspec to use (default=refs/heads/master)"
+ echo " -t <branch> - AGL release branch to use (default=master , e.g. dab)"
echo " -v - verbose"
echo " -x - set -x"
echo "--------------------------------------------------------------------------------"
diff --git a/jjb/common/include-apps-rsync-download-changeid.sh b/jjb/common/include-apps-rsync-download-changeid.sh
index 5feaeb13..8a9129a1 100644
--- a/jjb/common/include-apps-rsync-download-changeid.sh
+++ b/jjb/common/include-apps-rsync-download-changeid.sh
@@ -13,9 +13,15 @@ export RSYNCSRC=$(pwd)/UPLOAD/
# construct upload folder
#mv UPLOAD UPLOAD2 || true
-rm -rf UPLOAD/${TARGETARCH} || true
-mkdir -p UPLOAD/${TARGETARCH}
-export DEST=$(pwd)/UPLOAD/${TARGETARCH}
+if test x"" = x"${AGLBRANCH}" ; then
+ rm -rf UPLOAD/${TARGETARCH} || true
+ mkdir -p UPLOAD/${TARGETARCH}
+ export DEST=$(pwd)/UPLOAD/${TARGETARCH}
+else
+ rm -rf UPLOAD/${AGLBRANCH}/${TARGETARCH} || true
+ mkdir -p UPLOAD/${AGLBRANCH}/${TARGETARCH}
+ export DEST=$(pwd)/UPLOAD/${AGLBRANCH}/${TARGETARCH}
+fi
pushd ${MYPROJECT}
pwd
diff --git a/packer/templates/basebuild-local-kvm.json b/packer/templates/basebuild-local-kvm.json
index 36c77f42..415f2b38 100644
--- a/packer/templates/basebuild-local-kvm.json
+++ b/packer/templates/basebuild-local-kvm.json
@@ -13,15 +13,15 @@
"builders": [
{
"type": "qemu",
- "iso_url": "http://releases.ubuntu.com/16.04/ubuntu-16.04-server-amd64.iso",
- "iso_checksum": "23e97cd5d4145d4105fbf29878534049",
+ "iso_url": "http://releases.ubuntu.com/16.04/ubuntu-16.04.3-server-amd64.iso",
+ "iso_checksum": "10fcd20619dce11fe094e960c85ba4a9",
"iso_checksum_type": "md5",
"output_directory": "output_ubuntu",
"disk_size": 20000,
"format": "qcow2",
- "headless": false,
+ "headless": true,
"accelerator": "kvm",
"http_directory": "httpdir",